#!/usr/bin/perl
# 上の一行は「楽々おみくじ2.5」スクリプト本体にそろえてください。
#-----------------------------------------------------------------------------------#
# 楽々おみくじ2.5　Ver 0.50α 設定ファイル Version 1.45                             #
# Copyright (c) 1997-2006 うんにゃ                                                  #
# Presented by おみパラねっと                                                       #
# 		http://www.omi-para.net/omikuji/                                            #
#                                                                                   #
# [ライセンス及び利用条件]                                                          #
# このスクリプトは、クリエイティブ・コモンズの帰属 2.1 Japan                        #
# ライセンスの下でライセンスされています。この使用許諾条件を見るには、              #
# http://creativecommons.org/licenses/by/2.1/jp/ をチェックするか、                 #
# クリエイティブ･コモンズに郵便にてお問い合わせください。                           #
# 住所は：559 Nathan Abbott Way, Stanford, California 94305, USA です。             #
#                                                                                   #
# α版注意) このスクリプトはα版です。α版は最終的な仕様が未決定でドキュメントが    #
# 未整備であること、バグ修正が完成版に比べ不十分であること等を示します。            #
# α版のサポートは一切行いません。また本バージョンの設定ファイルの完成版での        #
# 互換性も保証できません。従ってある程度スキルのある方、トラブルに対処できる        #
# 方、チャレンジする気力のある方のみご利用ください。また本バージョンの再配布は      #
# 推奨しません                                                                      #
#                                                                                   #
# ※現状で「楽々おみくじ2」の設定ファイルとの互換性は相当失われています。           #
#「楽々おみくじ2」の設定ファイルをそのまま持ってきてもきちんと動かない可能性が      #
# 大です。                                                                          #
#-----------------------------------------------------------------------------------#

# 各行の先頭に"#"のついている行はコメントです。コメントを入れたいときは
# 必ず同様にしてください。このファイルはスクリプトの一部ですので、
# そうしないとスクリプトが実行できません。

# 下の"sub def{"は削除しないでください。
sub def{

#-----------------------------------------------------------------------------------#
# 基本の設定 (動作に最低限必要な設定です)                                           #
#-----------------------------------------------------------------------------------#

## 各種設定
# この設定ファイルのバージョン
$version="1.45";
# 上の一行は将来のスクリプトのバージョンアップ時に互換性を確保するために必要です。

# 「もう一度引く」ボタンに用いる言葉 (もう一度引くためのボタンを設定できます。その時
# のボタンに用いる言葉です。
$submit_word = "もう一度引く";

# カウンターの利用の有無（0でoff 1でon になります)。
$counter= 0;

# カウンターファイル（カウンター利用の時のみ、「相対パスで」指定）
$c_file="./count.dat";

#-----------------------------------------------------------------------------------#
# 高度な設定 (ここは最初は飛ばしてもらってかまいません。慣れたら変更してみましょう) #
#-----------------------------------------------------------------------------------#

## ここからしばらくは、カウンターオフにした時には意味のない設定になります。
# その場合は「カウンター関係の設定終了」まで読み飛ばしてください。

# ロック機構の使用の有無（0でoff 1でon。使うとカウンターがリセットされにくくなります。
# 反面「アクセスが混雑しています」のメッセージが多くでるようになりますので、訪問者数に
# こだわる人はオンにしてください。デフォルトはoffです。）
$c_lock= 0;

# ロックファイル（実はフォルダ）のパス（ロック機構オフの時は意味がありません）
$c_lfile="./rakuomi.loc";

## カウンター関係の設定終了

# 「同一運勢低減機能」を使う(0でオフ 1で総合運のみオン、2でサブ運勢もオン。
# 連続で引いた時に、同じ運勢が出にくくなります。全く出なくなるわけではありません。
# 2の時は下の「総合運のサブ運への影響」は自動的にオフになります)
$c_advomikuji= 2;

# 総合運のサブ運に対する影響( 0で無し、1で有り。 有りにすると「総合運」に、サブ運も
# 引きずられます。すべてのサブ運が全く同じになるわけではありません。なお、「同一運勢
# 重複防止」機能で、2を選んだときはこの機能は下の設定に関係なく働きません。)
$o_influence= 0;

# サブ運勢の表示の仕方( 0で「運勢の名前」,1で「星の数」)
$o_subdisp= 0;

# ラッキーマテリアル( ''の間に,で区切って列挙してください。色でなくてもいいですよ )
$l_material= '青,赤,黄,緑,白';

# ラッキーナンバー( 最初の数字、最後の数字の順です )
$l_number= "1,31";

# 気の合う星座(上が十三星座、下が十二星座です。どちらか選んで、選ばなかった方を
# "#" で、コメントアウトしてください（初期状態では十三星座になってます）。
$l_zodiac= '新いて座(12/18-1/18),新やぎ座(1/19-2/15),新みずがめ座(2/16-3/10),新うお座(3/11-4/18),新おひつじ座(4/19-5/13),新おうし座(5/14-6/20),新ふたご座(6/21-7/19),新かに座(7/20-8/10),新しし座(8/11-9/15),新おとめ座(9/16-10/29),新てんびん座(10/30-11/22),新さそり座(11/23-11/29),へびつかい座(11/30-12/17)';

#$l_zodiac= 'いて座(11/23-12/21),やぎ座(12/22-1/20),みずがめ座(1/21-2/18),うお座(2/19-3/20),おひつじ座(3/21-4/20),おうし座(4/21-5/21),ふたご座(5/22-6/21),かに座(6/22-7/22),しし座(7/23-8/22),おとめ座(8/23-9/23),てんびん座(9/24-10/23),さそり座(10/24-11/22)';

#-----------------------------------------------------------------------------------#
# おみくじメッセージ(マニュアルを見ながらいろいろ変更して遊んでみましょう。)        #
#-----------------------------------------------------------------------------------#

# 総合運(一番メインになる運勢です。「$sougou = <<"End_Of_Message";」と「End_Of_Message」
# の間に書きます。この二行を削除しないでください。あと、メッセージに"End_Of_Message"と
# いう部分を入れないようにしてください。サブ運も同じです。）
$sougou = <<"End_Of_Message";
*,大吉,1
今日は一日いい日になりそうです。<--COL-->色のかばんは、更にいい運をつれてきそう。
おめでとう、大吉です。充実した一日をお送り下さい。ラッキーナンバーは <--NUM--> ですよ！
*,中吉,3
そこそこですよね。もし今日が<--NUM-->日なら、ちょっと注意。気をつけてね。
良くもなく、悪くもなく、平凡な一日です。軽はずみは禁物。落ち着いて行動を。
<--COL-->色の色鉛筆をそっと体に忍ばせてみましょう。思わぬ拾いものがあるかも。
あなたの努力次第で良くも悪くもなる運勢です。全力で走ってみましょう。
*,小吉,2
今日は運が味方してくれる日ではないようです。自分の実力で行くっきゃない！！
財布に<--NUM-->円を五円と一円で入れておきましょう。ツキが呼び込めるはず。
*,末吉,1
アフター５が勝負！！それまではじっと我慢。でも、深夜まで遊んでいるのはＮＧ
朝、昼は充電期間と割り切りましょう。夕方以降いいことあるなら大丈夫でしょ？
特に朝は気をつけましょう。あせると更に失敗を生むので要注意。落ち着いて、マイペースで。
*,凶,1
今日は一日いいことなさそうです。<--COL-->色のハンカチを忍ばせて凶運を追い出そう！
悪いことはつづくものですが、その後にはいいことがありますよ。気にしすぎが一番の毒
End_Of_Message

# サブ運（６つまで設定できます）
# 各運とも、「 $fortune[X] =<<"End_Of_Message"; 」と、「 End_Of_Message 」の間の
# 行に記述します。この二行は変更しないでください。

# 一番目のサブ運(商売運)
$subfortune_name[1]= "商売";
$fortune[1] =<<"End_Of_Message";
*,大吉,1
今日が商売のチャンス。勝負に出ましょう！！
がっぽりと稼がせてもらいましょうね。
*,中吉,3
悪くはないです。後はあなたのアイデア次第。
順調ですが、油断するとトラブルが・・・。
*,小吉,2
賭けには出ずに手堅く行きましょう。
無難に過ごせば、無難にまとまる日です。
がっぽり・・・はいかないですが、出費も少なそう。
*,末吉,1
今日は明日へのステップと考えて。
思わぬ出費があるかも。出費は控えめに。
*,凶,1
うーん、今日はだめですね。明日に期待。
出ていく方が多いかも。期待はできません。
End_Of_Message

# 二番目のサブ運(例：恋愛運）
$subfortune_name[2]= "恋愛";
$fortune[2] =<<"End_Of_Message";
*,大吉,1
大吉！今日こそ恋愛成就か！？
運勢に希望を託して、今こそ勝負！！
*,中吉,3
後はあなたの情熱次第でしょう。
いたわれれば、一歩前進も夢じゃない？
*,小吉,2
一歩前進できるか。それとも・・・？
無理は禁物。でも、悪くもなりません。
*,末吉,1
言動に気をつけよう。一歩間違うと・・・。
運勢はあまりよろしくないですが、積極的に！？
*,凶,1
運勢は下り坂。うーん。今日は我慢の一日。
災い転じて福となす。二人の真価の試される日です。
End_Of_Message

# 三番目のサブ運(例：友人運)
$subfortune_name[3]= "友人";
$fortune[3] =<<"End_Of_Message";
*,大吉,1
「友達」が「親友」になるかも？？
こういう日こそ、情けは人のためならずですよ！
*,中吉,3
けんかした相手と仲直りするチャンス！
少しぐらいなら頼みを聞いてくれそう。
*,小吉,2
仲良くやって行けそうです。
頼み事を受けておけば、後にかえってきそうです。
*,末吉,1
ちょっとした行動が誤解を招くかも。要注意
仲直りは少し難しい日かも。
*,凶,1
言動には要注意！！誤解されたら解くのが大変かも。
他人の発言をとかく悪く取りがちな日。誤解しないようにね。
End_Of_Message

# 四番目のサブ運(例：捜し物)
$subfortune_name[4]= "捜し物";
$fortune[4] =<<"End_Of_Message";
*,大吉,1
意外なところから、見つかるでしょう。
あきらめなければ、出てくるでしょう。
*,中吉,3
日の明るいうちなら出る可能性大です。
角の方を探してみましょう。あるかも。
*,小吉,2
朝のうちに出てこなければ、あきらめが肝心。
昔なくしたものが、出てくるかも。
*,末吉,1
努力に見合う結果が出るかは、難しいところです。
友人に手伝ってもらえれば、あるいは・・・。
*,凶,1
今日はでてこなさそうですね。次の日に期待。
今必要のないものが、出てきそうな感じ
End_Of_Message

# 五番目のサブ運(例：健康)
$subfortune_name[5]= "健康";
$fortune[5] =<<"End_Of_Message";
*,大吉,1
体調は問題ありません。後はやる気！？
家から軽くランニングすればなおバッチリ。
*,中吉,3
そこそこです。今日は力仕事日和です。
いい方です。多少無理をしても何とかなるでしょう。
*,小吉,2
普通です。だから無理をしすぎると壊れます。
良くも悪くもなく、足を引っ張ることはないでしょう。
*,末吉,1
ちょっと微妙。無理はしすぎないように。
風邪に気をつけましょう。早く寝ればＯＫ。
*,凶,1
まずいです。今日は早く帰るようにしましょう。
けがをしやすいかも。行動は慎重に。
End_Of_Message

# 六番目のサブ運(例：願い事)
$subfortune_name[6]= "願い事";
$fortune[6] =<<"End_Of_Message";
*,大吉,1
今日の運勢はあなたの味方。なんとかなります！
願ってたことが向こうから転がり込んでくるかも。
*,中吉,3
少しの努力で叶います。問題は努力できるかどうか。
とんでもないのでなければ(^^;)、なんとかなります。
*,小吉,2
五分五分です。後はあなたの情熱と運がかみ合うか。
思い切ったことなら、賭けてみる価値はありそう。
*,末吉,1
あまり期待しすぎず待ちましょう。あきらめないで。
自分から努力しなければ、まずやって来ません。
*,凶,1
今日はあきらめましょう。明日があるさ！！
そうなるように生きましょう。いつの日か叶うでしょう(^^;)。
End_Of_Message
# 一番下の「そうなるように・・・」はネタです(^^;)。わかります？(^^;)

# 下の二行は削除しないでください。
}
sub outstyle{

#-----------------------------------------------------------------------------------#
# 出力設定                                                                          #
#-----------------------------------------------------------------------------------#

# おみくじタイトル(現状ではHTMLは使用できません)
$TITLE = "楽々おみくじ -Ajax-";

# カウンタ
$COUNTER = "第 $COUNTER 番";

# 星座
$ZODIAC = "相性のいい星座: $ZODIAC";

# ラッキーナンバー
$NUMBER = "Lucky Number: $NUMBER";

# ラッキーマテリアル
$MATERIAL = "Lucky Color: $MATERIAL";

#-----------------------------------------------------------------------------------#
# これで設定は終了です。お疲れさまでした！！                                        #
#-----------------------------------------------------------------------------------#
##--------------- ここより下の部分は、削除変更を加えないでください。---------------##
# カウンタ設定がオフならカウンタを空にする
$COUNTER = "" unless $counter;

}
# 設定ファイルアクセス防止用ルーチン
if( $deffile eq '' ){ print"Content-type: text/html\n\n<HTML><HEAD>";
print "<TITLE>アクセス不可</TITLE></HEAD><BODY>";
print "\申\し\訳有りませんがこのファイルにはアクセスできません。</BODY></HTML>";}
1;
