/*
  楽々おみくじ2.5　Ver 0.50a  Ajaxエンジン
  Copyright (c) 1997-2006 うんにゃ
  Presented by 「うんにゃのおみくじパラダイス！！」
  http://www.omi-para.net/omikuji/
  
  [利用に当たって]
  動作確認済みブラウザ: Internet Explorer 7.0 beta 2
  						Mozilla Firefox 1.5.0.2 (Windows版)
  						Opera 9.0 beta (Windows版)
  
  Opera 8.5以前ではエラーが出て動かないようです。
  文字コードはUTF-8(BOMはあってもなくても可)にしてください。
  他の文字コードにすると文字化けが起こったりや動作不能になります。
  
  [ライセンス及び利用条件]
  このJavaScriptファイルは、クリエイティブ・コモンズの帰属 2.1 Japan
  ライセンスの下でライセンスされています。この使用許諾条件を見るには、
  http://creativecommons.org/licenses/by/2.1/jp/ をチェックするか、
  クリエイティブ･コモンズに郵便にてお問い合わせください。
  住所は：559 Nathan Abbott Way, Stanford, California 94305, USA です。
  
  α版注意) このスクリプトはα版です。α版は最終的な仕様が未決定でドキュメントが
  未整備であること、バグ修正が完成版に比べ不十分であること等を示します。
  α版のサポートは一切行いません。また本バージョンの設定ファイルの完成版での
  互換性も保証できません。従ってある程度スキルのある方、トラブルに対処できる
  方、チャレンジする気力のある方のみご利用ください。
  
*/

/* 初期設定 */
// CGIスクリプトの位置(相対または絶対パスで)
// このファイルと同一ドメイン上に無ければ動作しません
var rakuomiCgi = "./cgi-bin/rakuomi25.cgi";

/* 設定終了 */

// HTMLから呼ばれる関数
function load_omikuji(advdata){
	xmlhttp = createXMLHttpObject();
	
	var postData = null;
	if (advdata) postData = "advdata=" + advdata;
	
	if (xmlhttp) xmlhttp.onreadystatechange = dispOmikuji;	
	if (xmlhttp){
		xmlhttp.open("GET",rakuomiCgi,true);
		// Opera 9.0 betaでは相変わらず効いていない雰囲気
		// だが、HTTPヘッダでPragmaを送ってやればいいらしい？
		xmlhttp.setRequestHeader(
				"If-Modified-Since", "Thu, 01 Jan 1970 00:00:00 GMT"
			);
		xmlhttp.send(postData);
	}
}

// HTTPの交信状態を監視(コールバック関数)
function dispOmikuji(){
	if ((xmlhttp.readyState == 4) && (xmlhttp.status == 200))
	{
		var json = xmlhttp.responseText;
		var data = eval( "("+json+")" );
		parseOmikujiJson(data);
	}else if ((xmlhttp.readyState == 4) && (xmlhttp.status == 404)){
		document.getElementById("omikuji").innerHTML = "<strong>CGIファイルがありません!!</strong>";
	}else{
		document.getElementById("omikuji").innerHTML = "<strong>おみくじを読み込み中…</strong>";
	}
}

// サーバからやってくるJSONを処理してブラウザに表示
function parseOmikujiJson(omidata){
	var parentNode = document.getElementById("omikuji");
	parentNode.innerHTML = ""; //'null'とやるとIEは文字列を出力してしまうので""
	
	// サーバがエラー(カウンタ関係)を吐いてきていたらエラーを出力
	if(omidata.Error == 1){
		parentNode.innerHTML = "<strong>エラー: " + omidata.Message + "</strong>";
		return;
	}
	
	// タイトルとカウンタを出力
	var item = [ "Title", "Count", ];
	for (i=0; i<2; i++){
		var message = omidata[item[i]];
		if(message != "undefined"){
			parentNode.appendChild(appP(message,"omi"+item[i],"omiItems"));
		}
	}
	
	// 総合運を出力
	var mainsNode = document.createElement("div");
	mainsNode.id = "mainFortune";
	
	var unsei = omidata.Fortune.main.unsei;
	var message = omidata.Fortune.main.message;
	
	mainsNode.appendChild(appP(unsei,"mainUnsei", "unseis"));
	mainsNode.appendChild(appP(message,"mainMes", "omimessages"));
	
	parentNode.appendChild(mainsNode);
	
	// 残りのアイテムを出力
	var item = [ "Zodiac", "Lnumber", "Lmaterial" ];
	for (i=0; i<3; i++){
		var message = omidata[item[i]];
		parentNode.appendChild(appP(message,"omi"+item[i],"omiItems"));
	}
	
	// もう一度ひくボタンを出力
	parentNode.appendChild(outReSubmitForm(omidata.ReSubmitWord, omidata.AdvData));
	
	//サブ運
	var subFortunes = omidata.Fortune.subs;
	var len = subFortunes.length;
	
	var subsNode = document.createElement("div");
	subsNode.id = "subFortunes";
	
	for (i=0; i<len; i++){
		
		// Id number調節用
		var j= i+1;
		
		// IEではsubFortunes.lengthで配列数より一つ多い数字を出してしまい
		// 最後の添え字でエラーになるのでtry~catchで逃げる
		try{
			var fortname = subFortunes[i]["name"];
			var unsei = subFortunes[i]["unsei"];
			var message = subFortunes[i]["message"];
			
		}catch(e){
			break;
		}
		
		var subsNodeEach = document.createElement("div");
		subsNodeEach.id = "subFort" + j;
		
		subsNodeEach.appendChild(appP(fortname,"subName"+j,"fortnames"));
		subsNodeEach.appendChild(appP(unsei,"subUnsei"+j,"unseis"));
		subsNodeEach.appendChild(appP(message,"subMes"+j,"omimessages"));
		
		subsNode.appendChild(subsNodeEach);
	}
	
	parentNode.appendChild(subsNode);
	
	// generator情報
	var genElements = omidata.Generator;
	parentNode.appendChild(makeGeneratorNode(genElements));
	
}

// pノードを追加
function appP(appText, appId, appClass){
	appPNode = document.createElement("p");
	appPNode.id = appId;
	appTextNode = document.createTextNode(appText);
	appPNode.className = appClass;
	appPNode.appendChild(appTextNode);
	
	return appPNode;
}

// XMLHttpRequestオブジェクトを作成
function createXMLHttpObject(){
	var xmlHttpObj = null;
	if(window.XMLHttpRequest){
		xmlHttpObj = new XMLHttpRequest();
	}else if(window.ActiveXObject){
		try{
			xmlHttpObj = new ActiveXObject("Msxml2.XMLHTTP");
		}catch(e){
			try{
				xmlHttpObj = new ActiveXObject("Microsoft.XMLHTTP");
			}catch(e){
				return null;
			}
		}
	}
	
	return xmlHttpObj;
}

// もう一度引くボタンの作成
function outReSubmitForm(submitword,advdatanew){
	var formNode = document.createElement("form");
	formNode.action = "#";
	formNode.method = "GET";
	
	var formPNode = document.createElement("p");
	
	formPNode.id = "reSubmitForm";
	formPNode.className = "omiItems";
	
	formPNode.innerHTML = '<input type="submit" id="reSubminBotton" '
						 + 'value="' + submitword
						 + '" onClick="load_omikuji(' + advdatanew + ')">';
	
	formNode.appendChild(formPNode);
	
	return formNode;
}

// generator項目を作る
function makeGeneratorNode(elements){
	var genNode = document.createElement("div");
	genNode.style.fontSize="12px";
	genNode.style.clear="both";
	genNode.style.textAlign="right";
	genNode.style.verticalAlign="text-bottom";
	
	genNode.innerHTML='<p><a href="' + elements.url + '">' + elements.name
						+ '</a> by ' + elements.author + '</p>';
	
	return genNode;
}
